ghc-7.0.3: The GHC API

Vectorise.Convert

Synopsis

- fromVect :: Type -> CoreExpr -> VM CoreExpr

# Documentation

fromVectSource

Arguments

:: Type | The type of the original binding.
-> CoreExpr | Expression giving the closure to use, eg `$v_foo`.
-> VM CoreExpr |

Build an expression that calls the vectorised version of some function from a `Closure`.

For example `(x :: Double) -> (y :: Double) -> ($v_foo $: x) $: y`

We use the type of the original binding to work out how many outer lambdas to add.